Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 3353

Summary: nfsstat does not work
Product: [Retired] Red Hat Linux Reporter: Bill Chatfield <bill_chatfield>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED ERRATA QA Contact: Ben Levenson <benl>
Severity: medium Docs Contact:
Priority: medium    
Version: 7.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-01-08 18:10:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
Fix unnecessary warning messages none

Description Bill Chatfield 1999-06-09 02:08:30 UTC
nfsstat is looking for /proc/net/rpc/nfs.  That is not the
right file the correct file is /proc/net/rpc/nfsd.  I don't
know how to fix this.  The result is that nfsstat prints
only an error.

Comment 1 Jeff Johnson 1999-06-09 10:56:59 UTC
Both nfs and nfsd can be present in /proc/net/rpc, one for the
client statistics, the other for the server statistics. Perhaps
your machine is not an NFS client ...

BTW you may want to try knfsd-1.3.3 from Raw Hide ...

Comment 2 Bill Chatfield 1999-06-09 12:47:59 UTC
You are right.  The machine was not a client.  It appears that both
/proc/net/rpc/nfs and /proc/net/rpc/nfsd have to be present for
nfsstat to work.  This means that the machine has to be both an nfs
client and server to get any statistics.  It would be nice if nfsstat
just printed statistics for whatever files it finds and didn't require
both of them to be there to get anything.

Thanks.

Comment 3 Jeff Johnson 1999-06-09 14:01:59 UTC
And that's a bug. Thanks for reopening.

Comment 4 Cristian Gafton 2000-08-09 02:34:55 UTC
assigned to johnsonm

Comment 5 Steve Dickson 2003-01-07 21:51:38 UTC
Created attachment 89193 [details]
Fix unnecessary warning messages

Comment 6 Steve Dickson 2003-01-08 18:10:24 UTC
Reworked the diagnostics of nfsstat so annoying warnings 
are not displayed for statistics that are not asked for
and don't exist.